- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/deleteUseCase#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/deleteUseCase#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/deleteUseCase#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/deleteUseCase#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/deleteUseCase#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/deleteUseCase#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/deleteUseCase#body.aspect_1)

**Full name**: projects.locations.instances.legacyCases.deleteUseCase

Deletes a specific custom case simulation. This removes the simulation definition and associated metadata from the system.

### HTTP request

`POST https://{endpoint}/v1alpha/{name}/legacyCases:deleteUseCase`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the LegacyCase to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/LegacyCases |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "environment": string, "customCases": [ string ], "kinds": [ enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/DemoDataComponent`) ] } ``` |

| Fields ||
|---|---|
| `environment` | `string` Required. Environment is the environment in which the cases will be generated. |
| `customCases[]` | `string` Required. CustomCases is a list of custom case names to be generated. |
| `kinds[]` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/DemoDataComponent`)`` Required. Kinds is a list of DemoDataComponentEnum values. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.legacyCases.deleteSimulated`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).